USE [master]
GO
/****** Object:  Database [JWTAuthentication]    Script Date: 10/9/2024 7:31:16 AM ******/
CREATE DATABASE [JWTAuthentication]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'JWTAuthentication', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL16.MSSQLSERVER\MSSQL\DATA\JWTAuthentication.ndf' , SIZE = 8192KB , MAXSIZE = UNLIMITED, FILEGROWTH = 65536KB )
 LOG ON 
( NAME = N'JWTAuthentication_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL16.MSSQLSERVER\MSSQL\DATA\JWTAuthentication_log.ldf' , SIZE = 8192KB , MAXSIZE = 2048GB , FILEGROWTH = 65536KB )
 WITH CATALOG_COLLATION = DATABASE_DEFAULT, LEDGER = OFF
GO
ALTER DATABASE [JWTAuthentication] SET COMPATIBILITY_LEVEL = 160
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [JWTAuthentication].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [JWTAuthentication] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [JWTAuthentication] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [JWTAuthentication] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [JWTAuthentication] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [JWTAuthentication] SET ARITHABORT OFF 
GO
ALTER DATABASE [JWTAuthentication] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [JWTAuthentication] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [JWTAuthentication] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [JWTAuthentication] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [JWTAuthentication] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [JWTAuthentication] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [JWTAuthentication] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [JWTAuthentication] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [JWTAuthentication] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [JWTAuthentication] SET  ENABLE_BROKER 
GO
ALTER DATABASE [JWTAuthentication] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [JWTAuthentication] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [JWTAuthentication] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [JWTAuthentication] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [JWTAuthentication] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [JWTAuthentication] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [JWTAuthentication] SET HONOR_BROKER_PRIORITY OFF 
GO
ALTER DATABASE [JWTAuthentication] SET RECOVERY FULL 
GO
ALTER DATABASE [JWTAuthentication] SET  MULTI_USER 
GO
ALTER DATABASE [JWTAuthentication] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [JWTAuthentication] SET DB_CHAINING OFF 
GO
ALTER DATABASE [JWTAuthentication] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO
ALTER DATABASE [JWTAuthentication] SET TARGET_RECOVERY_TIME = 60 SECONDS 
GO
ALTER DATABASE [JWTAuthentication] SET DELAYED_DURABILITY = DISABLED 
GO
ALTER DATABASE [JWTAuthentication] SET ACCELERATED_DATABASE_RECOVERY = OFF  
GO
EXEC sys.sp_db_vardecimal_storage_format N'JWTAuthentication', N'ON'
GO
ALTER DATABASE [JWTAuthentication] SET QUERY_STORE = ON
GO
ALTER DATABASE [JWTAuthentication] SET QUERY_STORE (OPERATION_MODE = READ_WRITE, CLEANUP_POLICY = (STALE_QUERY_THRESHOLD_DAYS = 30), DATA_FLUSH_INTERVAL_SECONDS = 900, INTERVAL_LENGTH_MINUTES = 60, MAX_STORAGE_SIZE_MB = 1000, QUERY_CAPTURE_MODE = AUTO, SIZE_BASED_CLEANUP_MODE = AUTO, MAX_PLANS_PER_QUERY = 200, WAIT_STATS_CAPTURE_MODE = ON)
GO
USE [JWTAuthentication]
GO
/****** Object:  Table [dbo].[DataAccount]    Script Date: 10/9/2024 7:31:16 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[DataAccount](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Name] [varchar](255) NOT NULL,
	[Link] [varchar](255) NOT NULL,
	[Username] [varchar](255) NOT NULL,
	[Password] [varchar](255) NOT NULL,
	[Notes] [varchar](255) NOT NULL,
	[CreatedDate] [datetime] NOT NULL
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Employee]    Script Date: 10/9/2024 7:31:16 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Employee](
	[EmployeeID] [int] NOT NULL,
	[NationalIDNumber] [nvarchar](15) NOT NULL,
	[EmployeeName] [nvarchar](100) NULL,
	[LoginID] [nvarchar](256) NOT NULL,
	[JobTitle] [nvarchar](50) NOT NULL,
	[BirthDate] [date] NOT NULL,
	[MaritalStatus] [nchar](1) NOT NULL,
	[Gender] [nchar](1) NOT NULL,
	[HireDate] [date] NOT NULL,
	[VacationHours] [smallint] NOT NULL,
	[SickLeaveHours] [smallint] NOT NULL,
	[rowguid] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[ModifiedDate] [datetime] NOT NULL,
 CONSTRAINT [PK_Employee] PRIMARY KEY CLUSTERED 
(
	[EmployeeID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[UserInfo]    Script Date: 10/9/2024 7:31:16 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[UserInfo](
	[UserId] [int] IDENTITY(1,1) NOT NULL,
	[DisplayName] [varchar](60) NOT NULL,
	[UserName] [varchar](30) NOT NULL,
	[Email] [varchar](50) NOT NULL,
	[Password] [varchar](20) NOT NULL,
	[CreatedDate] [datetime] NOT NULL,
 CONSTRAINT [PK_UserInfo] PRIMARY KEY CLUSTERED 
(
	[UserId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
USE [master]
GO
ALTER DATABASE [JWTAuthentication] SET  READ_WRITE 
GO
